using System;
using System.Collections.Generic;
using System.IdentityModel.Selectors;
using System.Linq;
using System.ServiceModel;
using System.Web;

namespace UserPassWS.Validators
{
    public class CustomUserNamePasswordValidator : UserNamePasswordValidator
    {
        public override void Validate(string userName, string password)
        {
            if (!(userName == "pawel" && password == "tajne"))
                throw new FaultException(new FaultReason("Authentication failed"));
        }
    }
}